--- a/libfakeroot.c
+++ b/libfakeroot.c
@@ -1368,7 +1368,8 @@ int renameat(int olddir_fd, const char *
 #endif /* HAVE_FSTATAT */
 
 
-#if defined(__GLIBC__) && __GLIBC_PREREQ(2,33)
+#if defined(__GLIBC__)
+#if __GLIBC_PREREQ(2,33)
 /* Glibc 2.33 exports symbols for these functions in the shared lib */
   int lstat(const char *file_name, struct stat *statbuf) {
      return WRAP_LSTAT LSTAT_ARG(_STAT_VER, file_name, statbuf);
@@ -1413,6 +1414,7 @@ int renameat(int olddir_fd, const char *
        return WRAP_MKNODAT MKNODAT_ARG(_STAT_VER, dir_fd, pathname, mode, &dev);
     }
   #endif
+#endif /* __GLIBC__ */
 #endif /* GLIBC_PREREQ */
 
 
--- a/configure.ac
+++ b/configure.ac
@@ -182,6 +182,9 @@ AC_MSG_CHECKING([for type of arg of __xm
        #include <fcntl.h>
        #include <unistd.h>
   ]], [[
+#ifndef __GLIBC__
+#error no extra *
+#endif
        int __xmknod  ( int ver,
                        const char *pathname ,
                        mode_t  mode ,  dev_t *dev);
@@ -208,6 +211,9 @@ AC_MSG_CHECKING([for type of arg of __xm
        #include <fcntl.h>
        #include <unistd.h>
   ]], [[
+#ifndef __GLIBC__
+#error no extra *
+#endif
        int __xmknodat  ( int ver,
                          int dirfd,
                          const char *pathname ,
